#ifndef BLOCKMAP_H
#define BLOCKMAP_H

#include "common/Block.h"
#include "utils/BitArray.h"
#include "utils/List.h"

class BlockMap {
    BitArray blocks;
    List<Block::Id> map;

public:
    BlockMap(int length, Block::Id id);

    Block::Id get(int index) const;
    void set(int index, Block::Id id);
};

#endif